TTF_GetFontProperties(3)

NAME
TTF_GetFontProperties - Get the properties associated with a font.

HEADER FILE
Defined in SDL3_ttf/SDL_ttf.h

SYNOPSIS
#include "SDL3_ttf/SDL_ttf.h"

SDL_PropertiesID TTF_GetFontProperties(TTF_Font *font);

#define TTF_PROP_FONT_OUTLINE_LINE_CAP_NUMBER           SDL_ttf.font.outline.line_cap"
#define TTF_PROP_FONT_OUTLINE_LINE_JOIN_NUMBER          SDL_ttf.font.outline.line_join"
#define TTF_PROP_FONT_OUTLINE_MITER_LIMIT_NUMBER        SDL_ttf.font.outline.miter_limit"

DESCRIPTION
The following read-write properties are provided by SDL:

• TTF_PROP_FONT_OUTLINE_LINE_CAP_NUMBER :
  The FT_Stroker_LineCap value used when setting the font outline, defaults
  to FT_STROKER_LINECAP_ROUND .

• TTF_PROP_FONT_OUTLINE_LINE_JOIN_NUMBER :
  The FT_Stroker_LineJoin value used when setting the font outline,
  defaults to FT_STROKER_LINEJOIN_ROUND .

• TTF_PROP_FONT_OUTLINE_MITER_LIMIT_NUMBER :
  The FT_Fixed miter limit used when setting the font outline, defaults to
  0.

FUNCTION PARAMETERS

font
    the font to query.

RETURN VALUE
Returns a valid property ID on success or 0 on failure; call SDL_GetError() for more information.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL_ttf 3.0.0.